Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.jce
Class SecureRandomAdapter

    java.lang.Object
      |
      +--java.security.SecureRandomSpi
            |
            +--gnu.crypto.jce.SecureRandomAdapter

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MD4RandomSpi, MD5RandomSpi, RipeMD128RandomSpi, RipeMD160RandomSpi, Sha160RandomSpi, WhirlpoolRandomSpi

abstract class SecureRandomAdapter
extends java.security.SecureRandomSpi

The implementation of a generic `SecureRandom` adapter class to wrap gnu.crypto prng instances based on Message Digest algorithms.

This class defines the Service Provider Interface (SPI) for the `SecureRandom` class, which provides the functionality of a cryptographically strong pseudo-random number generator.

All the abstract methods in the `SecureRandomSpi` class are implemented by this class and all its sub-classes.

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`protected` | `SecureRandomAdapter(java.lang.String mdName)` Trivial protected constructor.

Method Summary
`byte[]` | `engineGenerateSeed(int numBytes)`
`void` | `engineNextBytes(byte[] bytes)`
`void` | `engineSetSeed(byte[] seed)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecureRandomAdapter

    protected SecureRandomAdapter(java.lang.String mdName)

  Trivial protected constructor.

  Parameters:
    `mdName` - the canonical name of the underlying hash algorithm.

Method Detail

### engineGenerateSeed

    public byte[] engineGenerateSeed(int numBytes)

  Overrides:
    `engineGenerateSeed` in class `java.security.SecureRandomSpi`

### engineNextBytes

    public void engineNextBytes(byte[] bytes)

  Overrides:
    `engineNextBytes` in class `java.security.SecureRandomSpi`

### engineSetSeed

    public void engineSetSeed(byte[] seed)

  Overrides:
    `engineSetSeed` in class `java.security.SecureRandomSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©2001-2002 Free Software Foundation, Inc.. All Rights Reserved.